import { Component } from 'react'
import { connect } from 'react-redux'
import {View} from '@tarojs/components'
import { AtSteps,AtTabs, AtTabsPane } from 'taro-ui'

import 'taro-ui/dist/style/components/steps.scss';
import 'taro-ui/dist/style/components/icon.scss';
import 'taro-ui/dist/style/components/tabs.scss';

import UserFloatingLayer from '../../components/common/userFloatingLayer';

import { add, minus, asyncAdd } from '../../actions/counter';
import Enterprise from './enterprise';
import PublicContent from './publicContent';

import './index.less'
import Taro from '@tarojs/taro';

const items = [
  { 'title': '选择公出企业' },
  { 'title': '填写公出内容'},
  { 'title': '提交公出审核' }
]

@connect(({ counter }) => ({
  counter
}), (dispatch) => ({
  add () {
    dispatch(add())
  },
  dec () {
    dispatch(minus())
  },
  asyncAdd () {
    dispatch(asyncAdd())
  }
}))
class ApplyDepart extends Component {
  constructor(props) {
    super(props);
    this.state={
      current:1,
      enterpriseId:''
    }
  }

  componentDidShow () {
    Taro.eventCenter.on('enterprise', (arg) => {
      this.setState({
        current:1,
        enterpriseId:arg.id
      })
    })
    Taro.eventCenter.on('enterpriseBack', () => {
      this.setState({
        current:0,
      })
    })
  }

  componentDidMount() {

  }

  render () {
    return (
      <View className='applyDepart'>
        <UserFloatingLayer/>
        <View className='atStepsContent'>
          <AtSteps
            items={items}
            current={this.state.current}
          />
          <View className='content'>
            <View style={{display:this.state.current===0 ? 'block' : 'none'}}>
              <Enterprise/>
            </View>
            <View style={{display:this.state.current===1 ? 'block' : 'none'}}>
              <PublicContent id={this.state.enterpriseId}/>
            </View>
            <View style={{display:this.state.current===2 ? 'block' : 'none'}}>
              <Enterprise/>
            </View>
          </View>
        </View>
      </View>
    )
  }
}

export default ApplyDepart

