import React,{Component} from 'react';
import {View} from '@tarojs/components'

import WPicker from '../../components/common/wPicker'

import { AtForm,AtButton,AtInput,AtIcon } from 'taro-ui'

import 'taro-ui/dist/style/components/form.scss';
import 'taro-ui/dist/style/components/button.scss';
import 'taro-ui/dist/style/components/loading.scss';
import 'taro-ui/dist/style/components/input.scss';
import 'taro-ui/dist/style/components/icon.scss';
import 'taro-ui/dist/style/components/icon.scss';

import './publicContent.less';

import Taro from '@tarojs/taro';

class PublicContent extends Component{
  constructor(props) {
    super(props);
    this.state={
      rangeVal:[],
      selectArrderName:''
    }
    this.onSubmit = this.onSubmit.bind(this);
    this.selectArrder = this.selectArrder.bind(this);
    this.WPicker = null
  }

  componentDidShow() {
    const chooseLocation = requirePlugin('chooseLocation');
    const location = chooseLocation.getLocation();
    console.log(location,'location')
    if(location){
      this.setState({
        selectArrderName: location.name
      })
    }
  }

  onSubmit(){
    console.log(this.WPicker)
  }

  selectArrder(){
    const key = 'AWBBZ-GRAC2-JFYUO-CLA7I-JAHXK-YFFGT'; //使用在腾讯位置服务申请的key
    const referer = '科德打卡定位'; //调用插件的app的名称
    const location = JSON.stringify({
      latitude: 39.89631551,
      longitude: 116.323459711
    });
    const category = '生活服务,娱乐休闲';

    Taro.navigateTo({
      url: 'plugin://chooseLocation/index?key=' + key + '&referer=' + referer + '&location=' + location + '&category=' + category
    });
  }

  render() {
    return (
      <View className='publicContent'>
        <WPicker
          mode='range'
          value={this.state.rangeVal}
          current
          confirm={(e)=>{
            this.setState({
              rangeVal:e.value.split('至')
            })
            console.log(e)
          }}
          cancel={()=>{

          }}
          disabledAfter={false}
          onRef={(ref)=>{this.WPicker = ref}}/>
          <View className='formItem'>
            <View className='formName'>外出企业:</View>
            <View className='formValue'>{'湖南****科技有限公司'}</View>
          </View>
        <View className='formItem'>
          <View className='formName'>公出时间:</View>
          <View className='formValue' onClick={()=>{this.WPicker.show()}}>
            {this.state.rangeVal.join('至')}
            <AtIcon value='chevron-right' size='30' color='#bbbbbb'/>
          </View>
        </View>
        <View className='formItem'>
          <View className='formName'>公出地点:</View>
          <View className='formValue' onClick={this.selectArrder}>
            <View>
              {this.state.selectArrderName}
              <AtIcon value='chevron-right' size='30' color='#bbbbbb'/>
            </View>
          </View>
        </View>
        <View className='tips'>地址选择错误,将影响打卡定位,选择后请认真核对</View>
          <AtButton onClick={()=>{
            Taro.eventCenter.trigger('enterpriseBack')
          }}>上一步</AtButton>
          <AtButton onClick={this.onSubmit}>提交申请</AtButton>
      </View>
    )
  }
}

export default PublicContent;
